edu.isi.pegasus.planner.invocation

## Class Arguments

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.Arguments

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ArgString, ArgVector

    public abstract class Arguments
    extends Invocation

This class maintains the application that was run, and the arguments to the commandline that were actually passed on to the application.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  `Job`, Serialized Form

### Field Summary

Fields
`protected java.lang.String` `m_executable` This is the executable that was run.

### Constructor Summary

Constructors
Constructor and Description
`Arguments()` Default c'tor: Construct a hollow shell and allow further information to be added later.
`Arguments(java.lang.String executable)` Constructs an applications without arguments.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `getExecutable()` Accessor
`abstract java.lang.String` `getValue()` This abstract method is called by higher-level functions to obtain a single string representation of the arguments.
`void` `setExecutable(java.lang.String executable)` Accessor.
`void` `toString(java.io.Writer stream)` Converts the active state into something meant for human consumption.

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_executable

    protected java.lang.String m_executable

This is the executable that was run.

### Constructor Detail

#### Arguments

    public Arguments()

Default c'tor: Construct a hollow shell and allow further information to be added later.

#### Arguments

    public Arguments(java.lang.String executable)

Constructs an applications without arguments.

Parameters:
  `executable` - is the name of the application.

### Method Detail

#### getValue

    public abstract java.lang.String getValue()

This abstract method is called by higher-level functions to obtain a single string representation of the arguments.

Returns:
  string representing arguments, or `null` if there is no such string. The empty string is also possible.

#### getExecutable

    public java.lang.String getExecutable()

Accessor

See Also:
  `setExecutable(String)`

#### setExecutable

    public void setExecutable(java.lang.String executable)

Accessor.

Parameters:
  `executable` -
See Also:
  `getExecutable()`

#### toString

    public void toString(java.io.Writer stream)
                  throws java.io.IOException

Converts the active state into something meant for human consumption. The method will be called when recursively traversing the instance tree.

Specified by:
  `toString` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.